package project.windowstime;

import com.ibatis.sqlmap.client.SqlMapClient;
import com.znshkj.mzyf.main.GlobalData;
import com.znshkj.mzyf.main.IbatisSqlMapClient;
import com.znshkj.mzyf.main.OutMsg;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.HashMap;
import project.face.FReadOrder;

public class HisTimeRecords extends FReadOrder implements Runnable {

   private boolean connState = false;
   private static Connection hisCONN;
   SqlMapClient sqlMap = IbatisSqlMapClient.newInstence();
   HashMap pbdruginfo = new HashMap();
   String dbdate = "2012-12-12";
   String dbtime = "18:18:18";
   String cmd = "cmd /c time 18:18:18";
   String sql = "";
   String name = System.getProperty("os.name");


   public void ReadOrderInfoT() {
      OutMsg.println("标准：接口表配置参数读取成功：");
      OutMsg.println("标准：接口表配置1参数：dbType=" + getDbType() + ",dbIP=" + getDbIP() + ",dbName=" + getDbName() + ",dbUserName=" + getDbUserName() + ",dbPWD=" + getDbPWD());
      OutMsg.println("标准：接口表配置2参数：dbType2=" + getDbType2() + ",dbIP2=" + getDbIP2() + ",dbName2=" + getDbName2() + ",dbUserName2=" + getDbUserName2() + ",dbPWD2=" + getDbPWD2());
   }

   public static void main(String[] args) {
      SqlMapClient sqlMap = IbatisSqlMapClient.newInstence();
      Connection conn = null;

      try {
         conn = sqlMap.getDataSource().getConnection();

         try {
            Statement var4 = conn.createStatement();
            var4.execute("insert into order_info(patient_id,order_no) values(\'1733816\',\'1550197\')");
            conn.commit();
         } catch (Exception var41) {
            var41.printStackTrace();
            conn.rollback();
         }

         Thread.sleep(20000000L);
      } catch (Exception var5) {
         ;
      }

   }

   public boolean createSqlConn() {
      try {
         switch(getDbType()) {
         case 1:
            Class.forName("com.mysql.jdbc.Driver");
            if(GlobalData.getStatedbIP() == 1) {
               hisCONN = DriverManager.getConnection("jdbc:mysql://" + getDbIP() + ":3306/" + getDbName() + "?useUnicode=true&characterEncoding=utf8", getDbUserName(), getDbPWD());
            } else {
               hisCONN = DriverManager.getConnection("jdbc:mysql://" + getDbIP2() + ":3306/" + getDbName2() + "?useUnicode=true&characterEncoding=utf8", getDbUserName2(), getDbPWD2());
            }
            break;
         case 2:
            Class.forName("com.microsoft.jdbc.sqlserver.SQLServerDriver");
            if(GlobalData.getStatedbIP() == 1) {
               hisCONN = DriverManager.getConnection("jdbc:microsoft:sqlserver://" + getDbIP() + ":1433;DatabaseName=" + getDbName(), getDbUserName(), getDbPWD());
            } else {
               hisCONN = DriverManager.getConnection("jdbc:microsoft:sqlserver://" + getDbIP2() + ":1433;DatabaseName=" + getDbName2(), getDbUserName2(), getDbPWD2());
            }
            break;
         case 3:
            Class.forName("oracle.jdbc.driver.OracleDriver");
            if(GlobalData.getStatedbIP() == 1) {
               hisCONN = DriverManager.getConnection("jdbc:oracle:thin:@" + getDbIP() + ":1521:" + getDbName(), getDbUserName(), getDbPWD());
            } else {
               hisCONN = DriverManager.getConnection("jdbc:oracle:thin:@" + getDbIP2() + ":1521:" + getDbName2(), getDbUserName2(), getDbPWD2());
            }
            break;
         case 4:
            Class.forName("oracle.jdbc.driver.OracleDriver");
            if(GlobalData.getStatedbIP() == 1) {
               hisCONN = DriverManager.getConnection("jdbc:oracle:thin:@" + getDbIP() + ":1521/" + getDbName(), getDbUserName(), getDbPWD());
            } else {
               hisCONN = DriverManager.getConnection("jdbc:oracle:thin:@" + getDbIP2() + ":1521/" + getDbName2(), getDbUserName2(), getDbPWD2());
            }
         }

         OutMsg.println("标准：连接到HIS数据库的JDBC连接建立成功:" + hisCONN.toString());
         this.connState = true;
         return true;
      } catch (Exception var2) {
         OutMsg.println(var2);
         OutMsg.println("标准：连接HIS数据库失败！");
         this.connState = false;
         if(GlobalData.getStatedbIP() == 1) {
            GlobalData.setStatedbIP(2);
         } else {
            GlobalData.setStatedbIP(1);
         }

         return false;
      }
   }

   public void run() {
      while(!this.connState && !this.createSqlConn()) {
         try {
            Thread.sleep(2000L);
         } catch (InterruptedException var4) {
            var4.printStackTrace();
         }
      }

      while(true) {
         while(this.connState || this.createSqlConn()) {
            try {
               this.dbtime = hisCONN.getMetaData().getDatabaseProductName();
               System.out.println("数据库厂商标识：" + this.dbtime);
               this.dbtime = hisCONN.getMetaData().getDatabaseProductVersion();
               System.out.println("数据库厂商标识：" + this.dbtime);
               Statement var33 = hisCONN.createStatement();
               switch(getDbType()) {
               case 1:
                  this.sql = "SELECT DATE_FORMAT(NOW(),\'%Y-%m-%d %H:%i:%s\') AS dbsysdate,CURRENT_DATE () AS dbdate,DATE_FORMAT(NOW(),\'%H:%i:%s\') AS dbtime;";
                  break;
               case 2:
                  this.sql = "SELECT CONVERT (VARCHAR (19),GETDATE(),120) AS dbsysdate,CONVERT (VARCHAR (10),GETDATE(),120) AS dbdate,CONVERT (VARCHAR (8),GETDATE(),114) AS dbtime";
                  break;
               case 3:
                  this.sql = "SELECT TO_CHAR(SYSDATE,\'yyyy-MM-dd hh24:mi:ss\') AS dbsysdate,TO_CHAR(SYSDATE,\'yyyy-MM-dd\') AS dbdate,TO_CHAR(SYSDATE,\'hh24:mi:ss\') AS dbtime FROM dual";
                  break;
               case 4:
                  this.sql = "SELECT TO_CHAR(SYSDATE,\'yyyy-MM-dd hh24:mi:ss\') AS dbsysdate,TO_CHAR(SYSDATE,\'yyyy-MM-dd\') AS dbdate,TO_CHAR(SYSDATE,\'hh24:mi:ss\') AS dbtime FROM dual";
                  break;
               case 5:
                  this.sql = "select to_char(now(),\'yyyy-mm-dd hh:mm:ss\') AS dbsysdate,to_char(now(),\'yyyy-mm-dd\') AS dbdate,to_char(now(),\'hh:mm:ss\') AS dbtime";
               }

               OutMsg.println("sql:" + this.sql);

               ResultSet executeQuery;
               for(executeQuery = var33.executeQuery(this.sql); executeQuery.next(); this.dbtime = executeQuery.getString("dbtime").trim()) {
                  this.dbdate = executeQuery.getString("dbdate").trim();
               }

               try {
                  OutMsg.println("读取时间数据为：" + this.dbdate + " " + this.dbtime);
                  if(this.name.contains("Windows")) {
                     OutMsg.println("进入windows");
                     if(!this.dbtime.equals("")) {
                        this.cmd = "cmd /c time " + this.dbtime;
                     } else {
                        this.cmd = "cmd /c time 18:18:18";
                     }

                     OutMsg.println("cmd:" + this.cmd);
                     Runtime.getRuntime().exec(this.cmd);
                     if(!this.dbdate.equals("")) {
                        this.cmd = "cmd /c date " + this.dbdate;
                     } else {
                        this.cmd = "cmd /c date 2012-12-12";
                     }

                     OutMsg.println("cmd:" + this.cmd);
                     Runtime.getRuntime().exec(this.cmd);
                     OutMsg.println("完成windows");
                  }
               } catch (Exception var7) {
                  OutMsg.println("标准：ERROR:读取系统时间错误");
                  OutMsg.println(var7);
                  this.connState = false;
               }

               executeQuery.close();
               var33.close();
            } catch (SQLException var8) {
               var8.printStackTrace();
            }

            try {
               Thread.sleep(3600000L);
            } catch (InterruptedException var6) {
               var6.printStackTrace();
            }
         }

         try {
            Thread.sleep(2000L);
         } catch (InterruptedException var5) {
            var5.printStackTrace();
         }
      }
   }
}
